Package com.ocient.jdbc.proto

# Interface ClientWireProtocol.OpenIDAuthenticatorOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `ClientWireProtocol.OpenIDAuthenticator`, `ClientWireProtocol.OpenIDAuthenticator.Builder`

Enclosing class:
  `ClientWireProtocol`

public static interface ClientWireProtocol.OpenIDAuthenticatorOrBuilder extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`String`
`getClientId()`
`string clientId = 2;`
`com.google.protobuf.ByteString`
`getClientIdBytes()`
`string clientId = 2;`
`String`
`getIssuer()`
`string issuer = 1;`
`com.google.protobuf.ByteString`
`getIssuerBytes()`
`string issuer = 1;`
`String`
`getScope(int index)`
`repeated string scope = 3;`
`com.google.protobuf.ByteString`
`getScopeBytes(int index)`
`repeated string scope = 3;`
`int`
`getScopeCount()`
`repeated string scope = 3;`
`List<String>`
`getScopeList()`
`repeated string scope = 3;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getIssuer

String getIssuer()
`string issuer = 1;`

Returns:
  The issuer.

### getIssuerBytes

com.google.protobuf.ByteString getIssuerBytes()
`string issuer = 1;`

Returns:
  The bytes for issuer.

### getClientId

String getClientId()
`string clientId = 2;`

Returns:
  The clientId.

### getClientIdBytes

com.google.protobuf.ByteString getClientIdBytes()
`string clientId = 2;`

Returns:
  The bytes for clientId.

### getScopeList

List<String> getScopeList()
`repeated string scope = 3;`

Returns:
  A list containing the scope.

### getScopeCount

int getScopeCount()
`repeated string scope = 3;`

Returns:
  The count of scope.

### getScope

String getScope(int index)
`repeated string scope = 3;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The scope at the given index.

### getScopeBytes

com.google.protobuf.ByteString getScopeBytes(int index)
`repeated string scope = 3;`

Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the scope at the given index.